Get all access policies
curl --request GET \
--url https://api.vantage.sh/v2/access_policies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/access_policies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/access_policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/access_policies",
"first": "https://api.vantage.sh/v2/access_policies?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/access_policies?page=1",
"prev": null
},
"access_policies": [
{
"token": "accss_plcy_c40f15062b6d5c37",
"title": "Engineering costs",
"description": "Limits cost visibility to the Engineering team.",
"policy": {
"api_version": "v1",
"policy": {
"filter": "(vantage.provider = 'aws')"
}
},
"team_tokens": [
"team_fd5c524ba104712b"
],
"created_by": "usr_eb8ce6bdc1fa31d5",
"created_at": "2024-01-18T17:39:37Z"
}
]
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}AccessPolicies
Get all access policies
Return all Access Policies for the current account.
GET
/
access_policies
Get all access policies
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000.